XCB: XCB XCMisc API

XCB 1.17.0

Data Structures | Macros | Typedefs | Functions | Variables
XCB XCMisc API

XCMisc XCB Protocol Implementation. More...

## Data Structures
struct | xcb_xc_misc_get_version_cookie_t
| xcb_xc_misc_get_version_cookie_t More...
struct | xcb_xc_misc_get_version_request_t
| xcb_xc_misc_get_version_request_t More...
struct | xcb_xc_misc_get_version_reply_t
| xcb_xc_misc_get_version_reply_t More...
struct | xcb_xc_misc_get_xid_range_cookie_t
| xcb_xc_misc_get_xid_range_cookie_t More...
struct | xcb_xc_misc_get_xid_range_request_t
| xcb_xc_misc_get_xid_range_request_t More...
struct | xcb_xc_misc_get_xid_range_reply_t
| xcb_xc_misc_get_xid_range_reply_t More...
struct | xcb_xc_misc_get_xid_list_cookie_t
| xcb_xc_misc_get_xid_list_cookie_t More...
struct | xcb_xc_misc_get_xid_list_request_t
| xcb_xc_misc_get_xid_list_request_t More...
struct | xcb_xc_misc_get_xid_list_reply_t
| xcb_xc_misc_get_xid_list_reply_t More...

## Macros
#define | XCB_XCMISC_MAJOR_VERSION 1
#define | XCB_XCMISC_MINOR_VERSION 1
#define | XCB_XC_MISC_GET_VERSION 0
#define | XCB_XC_MISC_GET_XID_RANGE 1
#define | XCB_XC_MISC_GET_XID_LIST 2

## Typedefs
typedef struct xcb_xc_misc_get_version_cookie_t | xcb_xc_misc_get_version_cookie_t
| xcb_xc_misc_get_version_cookie_t
typedef struct xcb_xc_misc_get_version_request_t | xcb_xc_misc_get_version_request_t
| xcb_xc_misc_get_version_request_t
typedef struct xcb_xc_misc_get_version_reply_t | xcb_xc_misc_get_version_reply_t
| xcb_xc_misc_get_version_reply_t
typedef struct xcb_xc_misc_get_xid_range_cookie_t | xcb_xc_misc_get_xid_range_cookie_t
| xcb_xc_misc_get_xid_range_cookie_t
typedef struct xcb_xc_misc_get_xid_range_request_t | xcb_xc_misc_get_xid_range_request_t
| xcb_xc_misc_get_xid_range_request_t
typedef struct xcb_xc_misc_get_xid_range_reply_t | xcb_xc_misc_get_xid_range_reply_t
| xcb_xc_misc_get_xid_range_reply_t
typedef struct xcb_xc_misc_get_xid_list_cookie_t | xcb_xc_misc_get_xid_list_cookie_t
| xcb_xc_misc_get_xid_list_cookie_t
typedef struct xcb_xc_misc_get_xid_list_request_t | xcb_xc_misc_get_xid_list_request_t
| xcb_xc_misc_get_xid_list_request_t
typedef struct xcb_xc_misc_get_xid_list_reply_t | xcb_xc_misc_get_xid_list_reply_t
| xcb_xc_misc_get_xid_list_reply_t

## Functions
xcb_xc_misc_get_version_cookie_t | xcb_xc_misc_get_version (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_xc_misc_get_version_cookie_t | xcb_xc_misc_get_version_unchecked (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_xc_misc_get_version_reply_t * | xcb_xc_misc_get_version_reply (xcb_connection_t *c, xcb_xc_misc_get_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_xc_misc_get_xid_range_cookie_t | xcb_xc_misc_get_xid_range (xcb_connection_t *c)
xcb_xc_misc_get_xid_range_cookie_t | xcb_xc_misc_get_xid_range_unchecked (xcb_connection_t *c)
xcb_xc_misc_get_xid_range_reply_t * | xcb_xc_misc_get_xid_range_reply (xcb_connection_t *c, xcb_xc_misc_get_xid_range_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xc_misc_get_xid_list_sizeof (const void *_buffer)
xcb_xc_misc_get_xid_list_cookie_t | xcb_xc_misc_get_xid_list (xcb_connection_t *c, uint32_t count)
xcb_xc_misc_get_xid_list_cookie_t | xcb_xc_misc_get_xid_list_unchecked (xcb_connection_t *c, uint32_t count)
uint32_t * | xcb_xc_misc_get_xid_list_ids (const xcb_xc_misc_get_xid_list_reply_t *R)
int | xcb_xc_misc_get_xid_list_ids_length (const xcb_xc_misc_get_xid_list_reply_t *R)
xcb_generic_iterator_t | xcb_xc_misc_get_xid_list_ids_end (const xcb_xc_misc_get_xid_list_reply_t *R)
xcb_xc_misc_get_xid_list_reply_t * | xcb_xc_misc_get_xid_list_reply (xcb_connection_t *c, xcb_xc_misc_get_xid_list_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_xc_misc_id

## Detailed Description

XCMisc XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_XC_MISC_GET_VERSION

#define XCB_XC_MISC_GET_VERSION 0

Opcode for xcb_xc_misc_get_version.

## ◆ XCB_XC_MISC_GET_XID_LIST

#define XCB_XC_MISC_GET_XID_LIST 2

Opcode for xcb_xc_misc_get_xid_list.

## ◆ XCB_XC_MISC_GET_XID_RANGE

#define XCB_XC_MISC_GET_XID_RANGE 1

Opcode for xcb_xc_misc_get_xid_range.

## Function Documentation

## ◆ xcb_xc_misc_get_version()

xcb_xc_misc_get_version_cookie_t xcb_xc_misc_get_version | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XC_MISC_GET_VERSION.

## ◆ xcb_xc_misc_get_version_reply()

xcb_xc_misc_get_version_reply_t * xcb_xc_misc_get_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xc_misc_get_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xc_misc_get_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xc_misc_get_version_unchecked()

xcb_xc_misc_get_version_cookie_t xcb_xc_misc_get_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XC_MISC_GET_VERSION.

## ◆ xcb_xc_misc_get_xid_list()

xcb_xc_misc_get_xid_list_cookie_t xcb_xc_misc_get_xid_list | ( | xcb_connection_t * | c,
|  | uint32_t | count
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XC_MISC_GET_XID_LIST.

## ◆ xcb_xc_misc_get_xid_list_reply()

xcb_xc_misc_get_xid_list_reply_t * xcb_xc_misc_get_xid_list_reply | ( | xcb_connection_t * | c,
|  | xcb_xc_misc_get_xid_list_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xc_misc_get_xid_list_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xc_misc_get_xid_list_unchecked()

xcb_xc_misc_get_xid_list_cookie_t xcb_xc_misc_get_xid_list_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | count
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XC_MISC_GET_XID_LIST.

## ◆ xcb_xc_misc_get_xid_range()

xcb_xc_misc_get_xid_range_cookie_t xcb_xc_misc_get_xid_range | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XC_MISC_GET_XID_RANGE.

Referenced by xcb_generate_id().

## ◆ xcb_xc_misc_get_xid_range_reply()

xcb_xc_misc_get_xid_range_reply_t * xcb_xc_misc_get_xid_range_reply | ( | xcb_connection_t * | c,
|  | xcb_xc_misc_get_xid_range_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xc_misc_get_xid_range_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

Referenced by xcb_generate_id().

## ◆ xcb_xc_misc_get_xid_range_unchecked()

xcb_xc_misc_get_xid_range_cookie_t xcb_xc_misc_get_xid_range_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XC_MISC_GET_XID_RANGE.